Redmine - Feature #33868

Prevent adding notes to closed issues
2020-08-18 04:58 - Mizuki ISHIKAWA

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues permissions Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution:

Description

Preventing the ability to add notes to closed issues prevents the problem of resuming work with the status closed.
If you change the status to something other than closed, such as Reopen, you can add notes.

Related issues:

Related to Redmine - Feature #13814: No more comments when ticket closed New

History

#1 - 2020-08-18 04:58 - Mizuki ISHIKAWA
- File feature-33868.patch added

The attached patch adds the add_note_to_closed_issue permission.
Only if you do not have the add_note_to_closed_issue permission, you cannot add notes to closed issues.

#2 - 2020-08-23 13:26 - Yuuki NARA

+1
and same as the ticket below.

https://www.redmine.org/issues/13814
https://www.redmine.org/issues/2685

#3 - 2020-09-06 06:17 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2021-02-28 06:38 - Go MAEDA

- Related to Feature #13814: No more comments when ticket closed added

#5 - 2022-08-10 07:51 - Go MAEDA

Maybe this should be controlled by a tracker base rather than permission. To me, whether to accept comments or not when the issue is closed
appears to be an element that defines the nature of an issue.

#6 - 2025-04-25 03:51 - Go MAEDA
- File 33868-tracker-based-POC.patch added

Go MAEDA wrote in #note-5:

Maybe this should be controlled by a tracker base rather than permission. To me, whether to accept comments or not when the issue is closed
appears to be an element that defines the nature of an issue.

Here is a patch to add an "Allow comments on closed issues" option for each tracker.

Files
feature-33868.patch 7.85 KB 2020-08-18 Mizuki ISHIKAWA
33868-tracker-based-POC.patch 2.29 KB 2025-04-25 Go MAEDA

2025-08-23 1/1



https://www.redmine.org/issues/13814
https://www.redmine.org/issues/2685
http://www.tcpdf.org

